Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.query
Class JDBCQuery

    java.lang.Object
      |
      +--com.solarmetric.kodo.query.QueryImpl
            |
            +--com.solarmetric.kodo.impl.jdbc.query.JDBCQuery

All Implemented Interfaces:
  com.solarmetric.kodo.query.KodoQuery, Query, com.solarmetric.kodo.query.Resolver, Serializable

public class JDBCQuery
extends QueryImpl

JDBC Query implementation.

See Also:
  Serialized Form

Inner classes inherited from class com.solarmetric.kodo.query.QueryImpl
`QueryImpl.AggregateQueryExecutor, QueryImpl.DatastoreQueryExecutor, QueryImpl.InMemoryQueryExecutor, QueryImpl.ParsedExpression, QueryImpl.QueryExecutionManager, QueryImpl.QueryExecutor, QueryImpl.QueryResultComparator`

Field Summary
`static int` | `JOIN_DATABASE` Constant for using database-specific select syntax.
`static int` | `JOIN_SQL92` Constant for using ANSI select syntax.
`static int` | `JOIN_TRADITIONAL` Constant for using traditional select syntax.

Fields inherited from interface com.solarmetric.kodo.query.KodoQuery
`FLUSH_ALWAYS, FLUSH_ALWAYS_MODE, FLUSH_NEVER, FLUSH_NEVER_MODE, FLUSH_WITH_CONNECTION, FLUSH_WITH_CONNECTION_MODE`

Constructor Summary
`JDBCQuery(JDBCStoreManager store, Object copy)` Constructor.

Method Summary
`(package private) static void` | `()`
`protected void` | `close(List result)` Close the given query result.
`protected ResultList` | `executeQuery(ClassMetaData meta, boolean subclasses, com.solarmetric.kodo.query.ExpressionFactory factory, com.solarmetric.kodo.query.Expression exp, Map params)` Execute the given expression against the given candidate extent.
`protected com.solarmetric.kodo.query.ExpressionFactory` | `getExpressionFactory(ClassMetaData meta)` Return an `ExpressionFactory` to use to create an expression to be executed against an extent.
`protected FilterListener` | `getStandardFilterListener(String tag)` Return the standard filter extension for the given tag, or null if none.
`int` | `getUseSQL92Joins()` Return whether to use SQL 92-style joins for this query.
`void` | `setUseSQL92Joins(int joinSyntax)` Set whether to use SQL 92-style joins for this query.

Methods inherited from class com.solarmetric.kodo.query.QueryImpl
`classForName, close, closeAll, compile, declareImports, declareParameters, declareVariables, execute, execute, execute, execute, executeWithArray, executeWithMap, getAccessPathClasses, getCandidateClass, getCandidateCollection, getCandidateExtent, getFilter, getFilterListener, getFlushBeforeQueries, getIgnoreCache, getOrdering, getOrderingComparator, getParameterClass, getParameterDeclarations, getPersistenceManager, getQueryCacheEnabled, getSortDirection, getVariableClass, isParameter, isVariable, lock, registerListener, setCandidates, setCandidates, setClass, setFilter, setFlushBeforeQueries, setIgnoreCache, setOrdering, setQueryCacheEnabled, toString, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JOIN_SQL92

    public static final int JOIN_SQL92

  Constant for using ANSI select syntax.

### JOIN_TRADITIONAL

    public static final int JOIN_TRADITIONAL

  Constant for using traditional select syntax.

### JOIN_DATABASE

    public static final int JOIN_DATABASE

  Constant for using database-specific select syntax.

Constructor Detail

### JDBCQuery

    public JDBCQuery(JDBCStoreManager store,
                     Object copy)

  Constructor.
  Parameters:
    `store` - the store manager
    `copy` - a compiled query to copy configuration from, or null

Method Detail

###

    static void ()

### getUseSQL92Joins

    public int getUseSQL92Joins()

  Return whether to use SQL 92-style joins for this query. Defaults to the setting of the `com.solarmetric.kodo.impl.jdbc.UseSQL92Joins` configuration property. Available settings are:
  - `JOIN_SQL92`
  - `JOIN_TRADITIONAL`
  - `JOIN_DATABASE`

### setUseSQL92Joins

    public void setUseSQL92Joins(int joinSyntax)

  Set whether to use SQL 92-style joins for this query. Defaults to the setting of the `com.solarmetric.kodo.impl.jdbc.UseSQL92Joins` configuration property.

### executeQuery

    protected ResultList executeQuery(ClassMetaData meta,
                                      boolean subclasses,
                                      com.solarmetric.kodo.query.ExpressionFactory factory,
                                      com.solarmetric.kodo.query.Expression exp,
                                      Map params)

  Description copied from class: `QueryImpl`
  Execute the given expression against the given candidate extent.
  Overrides:
    `executeQuery` in class `QueryImpl`
  Following copied from class: `com.solarmetric.kodo.query.QueryImpl`
  Parameters:
    `type` - the base type the query should match
    `subclasses` - true if subclasses should be included in the results
    `factory` - the expression factory used to compile the expression
    `exp` - the compiled expression for the parsed query
    `params` - map of parameter names to values
  Returns:
    a list of matching objects

### getExpressionFactory

    protected com.solarmetric.kodo.query.ExpressionFactory getExpressionFactory(ClassMetaData meta)

  Description copied from class: `QueryImpl`
  Return an `ExpressionFactory` to use to create an expression to be executed against an extent. Each factory will be used to compile one filter only.
  Overrides:
    `getExpressionFactory` in class `QueryImpl`

### getStandardFilterListener

    protected FilterListener getStandardFilterListener(String tag)

  Description copied from class: `QueryImpl`
  Return the standard filter extension for the given tag, or null if none. This method is called only after checking the listeners that have been added to this particular query and the user-defined listeners in the `Configuration`.
  Overrides:
    `getStandardFilterListener` in class `QueryImpl`

### close

    protected void close(List result)

  Description copied from class: `QueryImpl`
  Close the given query result.
  Overrides:
    `close` in class `QueryImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.